Skip to main content
GET
/
api
/
v1
/
executions
/
{id.project}
/
{id.domain}
Fetch a list of :ref:`ref_flyteidl.admin.Execution`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/executions/{id.project}/{id.domain}
{
  "executions": [
    {
      "id": {
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "org": "<string>"
      },
      "spec": {
        "launch_plan": {
          "resource_type": "UNSPECIFIED",
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "version": "<string>",
          "org": "<string>"
        },
        "inputs": {
          "literals": {}
        },
        "metadata": {
          "mode": "MANUAL",
          "principal": "<string>",
          "nesting": 123,
          "scheduled_at": "2023-11-07T05:31:56Z",
          "parent_node_execution": {
            "node_id": "<string>",
            "execution_id": {
              "project": "<string>",
              "domain": "<string>",
              "name": "<string>",
              "org": "<string>"
            }
          },
          "reference_execution": {
            "project": "<string>",
            "domain": "<string>",
            "name": "<string>",
            "org": "<string>"
          },
          "system_metadata": {
            "execution_cluster": "<string>",
            "namespace": "<string>"
          },
          "artifact_ids": [
            {
              "artifact_key": {
                "project": "<string>",
                "domain": "<string>",
                "name": "<string>",
                "org": "<string>"
              },
              "version": "<string>",
              "partitions": {
                "value": {}
              },
              "time_partition": {
                "value": {
                  "static_value": "<string>",
                  "time_value": "2023-11-07T05:31:56Z",
                  "triggered_binding": {
                    "partition_key": "<string>",
                    "bind_to_time_partition": true,
                    "time_transform": {
                      "transform": "<string>",
                      "op": "MINUS"
                    }
                  },
                  "input_binding": {
                    "var": "<string>"
                  },
                  "runtime_binding": {}
                },
                "granularity": "UNSET"
              }
            }
          ]
        },
        "notifications": {
          "notifications": [
            {
              "phases": [
                "UNDEFINED"
              ],
              "email": {
                "recipients_email": [
                  "<string>"
                ],
                "template": "<string>"
              },
              "pager_duty": {
                "recipients_email": [
                  "<string>"
                ],
                "template": "<string>"
              },
              "slack": {
                "recipients_email": [
                  "<string>"
                ],
                "template": "<string>"
              }
            }
          ]
        },
        "disable_all": true,
        "labels": {
          "values": {}
        },
        "annotations": {
          "values": {}
        },
        "security_context": {
          "run_as": {
            "iam_role": "<string>",
            "k8s_service_account": "<string>",
            "oauth2_client": {
              "client_id": "<string>",
              "client_secret": {
                "group": "<string>",
                "group_version": "<string>",
                "key": "<string>",
                "mount_requirement": "ANY",
                "env_var": "<string>"
              }
            },
            "execution_identity": "<string>"
          },
          "secrets": [
            {
              "group": "<string>",
              "group_version": "<string>",
              "key": "<string>",
              "mount_requirement": "ANY",
              "env_var": "<string>"
            }
          ],
          "tokens": [
            {
              "name": "<string>",
              "type": "CLIENT_CREDENTIALS",
              "client": {
                "client_id": "<string>",
                "client_secret": {
                  "group": "<string>",
                  "group_version": "<string>",
                  "key": "<string>",
                  "mount_requirement": "ANY",
                  "env_var": "<string>"
                }
              },
              "idp_discovery_endpoint": "<string>",
              "token_endpoint": "<string>"
            }
          ]
        },
        "auth_role": {
          "assumable_iam_role": "<string>",
          "kubernetes_service_account": "<string>"
        },
        "quality_of_service": {
          "tier": "UNDEFINED",
          "spec": {
            "queueing_budget": "<string>"
          }
        },
        "max_parallelism": 123,
        "raw_output_data_config": {
          "output_location_prefix": "<string>"
        },
        "cluster_assignment": {
          "cluster_pool_name": "<string>"
        },
        "interruptible": true,
        "overwrite_cache": true,
        "envs": {
          "values": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ]
        },
        "tags": [
          "<string>"
        ],
        "execution_cluster_label": {
          "value": "<string>"
        },
        "execution_env_assignments": [
          {
            "node_ids": [
              "<string>"
            ],
            "task_type": "<string>",
            "execution_env": {
              "name": "<string>",
              "type": "<string>",
              "extant": {},
              "spec": {},
              "version": "<string>"
            }
          }
        ]
      },
      "closure": {
        "outputs": {
          "values": {
            "literals": {}
          },
          "uri": "<string>"
        },
        "error": {
          "code": "<string>",
          "message": "<string>",
          "error_uri": "<string>",
          "kind": "UNKNOWN",
          "timestamp": "2023-11-07T05:31:56Z",
          "worker": "<string>"
        },
        "abort_cause": "<string>",
        "abort_metadata": {
          "cause": "<string>",
          "principal": "<string>"
        },
        "output_data": {
          "literals": {}
        },
        "computed_inputs": {
          "literals": {}
        },
        "phase": "UNDEFINED",
        "started_at": "2023-11-07T05:31:56Z",
        "duration": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "notifications": [
          {
            "phases": [
              "UNDEFINED"
            ],
            "email": {
              "recipients_email": [
                "<string>"
              ],
              "template": "<string>"
            },
            "pager_duty": {
              "recipients_email": [
                "<string>"
              ],
              "template": "<string>"
            },
            "slack": {
              "recipients_email": [
                "<string>"
              ],
              "template": "<string>"
            }
          }
        ],
        "workflow_id": {
          "resource_type": "UNSPECIFIED",
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "version": "<string>",
          "org": "<string>"
        },
        "state_change_details": {
          "state": "EXECUTION_ACTIVE",
          "occurred_at": "2023-11-07T05:31:56Z",
          "principal": "<string>"
        }
      }
    }
  ],
  "token": "<string>"
}

Path Parameters

id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

Query Parameters

id.name
string

User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'

id.org
string

Optional, org key applied to the resource.

limit
integer<int64>

Indicates the number of resources to be returned. +required

token
string

In the case of multiple pages of results, this server-provided token can be used to fetch the next page in a query. +optional

filters
string

Indicates a list of filters passed as string. More info on constructing filters : +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING

Response

A successful response.

executions
object[]
token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.